Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 18-09-2019 21:35:01

al1
Membre
Lieu : sud france
Distrib. : Debian Buster
(G)UI : OpenBox
Inscription : 15-06-2018

trelby

Bonsoir à tous,

j'ai téléchargé le logiciel trelby en .deb sur leur site.
En l'installant avec gdebi, une dépendance manquante fait échouer l'installation.
Elle est existante sur une autre source.

?Ce paquet .deb ne marchera pas sur buster?
?Faut-il que j'ajoute les backports à mes sources list?
(Sous Manjaro via AUR cela fonctionne...)
?voulez-vous que je cite la dépendance manquante?

Existe-il des logiciels équivalent à Trelby?

Merci de vos retours

Hors ligne

#2 18-09-2019 21:44:59

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : trelby

Salut,

La moindre des choses et d'exposer précisément ton problème (par respect pour notre temps) ; dans ton cas le strict minimum c'est :

- Donner le message d'erreur exact (là on ne sait pas quel paquet manque et de quelle version)
- Donner le lien du site où tu as téléchargé le logiciel et le tuto que tu as suivi, si tu en a suivi un

Dernière modification par otyugh (18-09-2019 21:47:36)


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

Hors ligne

#3 18-09-2019 22:28:31

al1
Membre
Lieu : sud france
Distrib. : Debian Buster
(G)UI : OpenBox
Inscription : 15-06-2018

Re : trelby

Bonsoir,

Désolé je ne voulais pas paraître impoli...
je suis sous buster et openbox et je ne peux plus me connecter au forum, je ne sais pas pourquoi...
j'utilise en parallèle manjaro openbox...

Le site: https://www.trelby.org/

le message d'erreur dans gdebi

erreur la dépendance ne peut être satisfaite: pytonwxgtk2.8

Hors ligne

#4 18-09-2019 22:33:36

al1
Membre
Lieu : sud france
Distrib. : Debian Buster
(G)UI : OpenBox
Inscription : 15-06-2018

Re : trelby

désolé c'est

python-wxgtk2.8

Hors ligne

#5 18-09-2019 23:20:44

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : trelby

S'agit pas vraiment de politesse mais de moyen de fonctionner ; c'est plus rapide si on nous dit ce que tu as fait et ce que tu as obtenu clairement. 90% du travail en maintenance consiste à essayer d'interpréter le systématique "ça marche pas". - C'est à diiiire ?!

Le paquet manquant a existé dans sid, mais compilé seulement pour arm (https://packages.debian.org/sid/python-wxgtk2.8)... Donc c'est mort côté facilité.

Apparemment t'es pas le seul à avoir le problème (http://forums.debian.net/viewtopic.php?t=130489). Debian a abandonné la 2.8 depuis des années, c'est très mauvais signe que trelby n'ait pas été mis à jour depuis (la 2.8 date d'une dizaine d'années ?!).

Je vois deux solutions dont aucune des deux n'est facile ; compiler la 2.8 via une vieille source de paquet debian (lenny ? Je sais même pas où trouver ces archives)... Et sinon y a installer via le système pip de python... Que je ne maîtrise pas.

Aherm. Et solution sociale, contacter le projet trellby pour savoir si c'est complètement mort et pourquoi ils utilisent des dépendances aussi archaïques x)

Dernière modification par otyugh (18-09-2019 23:23:16)


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

Hors ligne

#6 19-09-2019 04:51:55

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.9.4-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : trelby

Bonjour,

même sous Arch, c'est "out of the date"

Hors ligne

#7 19-09-2019 21:45:20

al1
Membre
Lieu : sud france
Distrib. : Debian Buster
(G)UI : OpenBox
Inscription : 15-06-2018

Re : trelby

bonsoir,

merci pour les infos, bah tant pis, je sais pas non plus faire autrement.
j'ai trouvé sur cette page du forum  https://debian-facile.org/atelier:chantier:cura
la commande

apt-get install python-serial python-wxgtk2.8 python-wxversion python-opengl


est-ce que ça aide ou ça rien à voir?

Sinon pour répondre à propos de arch, sous manjaro, j'ai téléchargé via AUR trelby-git ça fonctionne.

Hors ligne

#8 19-09-2019 22:26:40

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : trelby

al1 a écrit :

la commande

apt-get install python-serial python-wxgtk2.8 python-wxversion python-opengl


est-ce que ça aide ou ça rien à voir?


Tu as compris ce que j'ai dit plus haut ? L'article date de 2014, le paquet n'existe plus. hmm

Par contre y a d'autres moyens : https://debian-facile.org/viewtopic.php?id=13992 (mais je connais pas assez Python pour te guider)



Sinon y a le moyen hasardeux ; tenter une version non prévue pour ton système à tes risques et périls (ici une version pour Ubuntu 16 que j'ai trouvé au pif sur internet é_è) http://ppa.launchpad.net/nilarimogard/w … amd64.deb)
Moins hasardeux serait de retrouver le vieux .deb debian d'époque aussi. Faudrait chercher - mais sans garantie non plus. C'est du bricolage qui peut ne pas marcher du tout >.>

Dernière modification par otyugh (19-09-2019 22:28:54)


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

Hors ligne

#9 19-09-2019 23:43:23

enicar
Membre
Lieu : ailleurs
Distrib. : sid
Noyau : 5.8.7
(G)UI : openbox
Inscription : 26-08-2010

Re : trelby

La version 2.2 date de 2012, ça va être très difficile de la faire fonctionner
sur une buster de 2019. En sept ans, beaucoup de choses ont changés.

Hors ligne

#10 19-09-2019 23:49:51

framend
Modo-Moule zébrée
Lieu : /home/framend
Distrib. : Sid
Noyau : 5.7.0-2-amd64
(G)UI : i3-wm/tty
Inscription : 17-11-2018

Re : trelby

Ce paquet là ne ferait-t-il pas l'affaire ?

https://packages.debian.org/fr/sid/python-wxgtk3.0

Sinon pour « écrire » (au sens large) dans les dépôts debian il y a ça:

https://packages.debian.org/stable/editors/manuskript

Sinon markdown c'est bien aussi, notamment via celui ci:

https://packages.debian.org/stable/editors/ghostwriter

“It is not daily increase but daily decrease, hack away the unessential. The closer to the source, the less wastage there is.” - Bruce Lee (philosophe)

Hors ligne

#11 19-09-2019 23:54:59

enicar
Membre
Lieu : ailleurs
Distrib. : sid
Noyau : 5.8.7
(G)UI : openbox
Inscription : 26-08-2010

Re : trelby

En plus c'est du python 2.7 qui va bientôt être complètement abandonné par
les dev de python.

Hors ligne

Pied de page des forums